Skip to main content
PUT
/
workspaces
/
settings
/
{key}
cURL
curl --request PUT \
  --url https://api.mudstack.com/workspaces/settings/{key} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --header 'x-account-id: <x-account-id>' \
  --header 'x-workspace-id: <x-workspace-id>' \
  --data '{
  "value": true
}'
import requests

url = "https://api.mudstack.com/workspaces/settings/{key}"

payload = { "value": True }
headers = {
    "x-account-id": "<x-account-id>",
    "x-workspace-id": "<x-workspace-id>",
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.put(url, json=payload, headers=headers)

print(response.text)
const options = {
  method: 'PUT',
  headers: {
    'x-account-id': '<x-account-id>',
    'x-workspace-id': '<x-workspace-id>',
    Authorization: 'Bearer <token>',
    'Content-Type': 'application/json'
  },
  body: JSON.stringify({value: true})
};

fetch('https://api.mudstack.com/workspaces/settings/{key}', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


true

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

x-account-id
string<uuid>
required
x-workspace-id
string<uuid>
required

Path Parameters

key
string
required

Body

application/json
value
boolean

Response

200 - application/json

The status of the update operation.

The response is of type boolean.